<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XH323TrunkDestination StructType
 * @subpackage Structs
 */
class XH323TrunkDestination extends AbstractStructBase
{
    /**
     * The sortOrder
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $sortOrder;
    /**
     * The addressIpv4
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $addressIpv4;
    /**
     * Constructor method for XH323TrunkDestination
     * @uses XH323TrunkDestination::setSortOrder()
     * @uses XH323TrunkDestination::setAddressIpv4()
     * @param string $sortOrder
     * @param string $addressIpv4
     */
    public function __construct($sortOrder = null, $addressIpv4 = null)
    {
        $this
            ->setSortOrder($sortOrder)
            ->setAddressIpv4($addressIpv4);
    }
    /**
     * Get sortOrder value
     * @return string
     */
    public function getSortOrder()
    {
        return $this->sortOrder;
    }
    /**
     * Set sortOrder value
     * @param string $sortOrder
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XH323TrunkDestination
     */
    public function setSortOrder($sortOrder = null)
    {
        $this->sortOrder = $sortOrder;
        return $this;
    }
    /**
     * Get addressIpv4 value
     * @return string|null
     */
    public function getAddressIpv4()
    {
        return $this->addressIpv4;
    }
    /**
     * Set addressIpv4 value
     * @param string $addressIpv4
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XH323TrunkDestination
     */
    public function setAddressIpv4($addressIpv4 = null)
    {
        $this->addressIpv4 = $addressIpv4;
        return $this;
    }
}
